# Uses of Class
javax.sound.midi.MidiFileFormat

Packages that use MidiFileFormat
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.
javax.sound.midi.spi
Supplies interfaces for service providers to implement when offering new MIDI devices, MIDI file readers and writers, or sound bank readers.

## Uses of MidiFileFormat in javax.sound.midi

Methods in javax.sound.midi that return MidiFileFormat
Modifier and Type
Method
Description
`static MidiFileFormat`
MidiSystem.`getMidiFileFormat(File file)`
Obtains the MIDI file format of the specified `File`.
`static MidiFileFormat`
MidiSystem.`getMidiFileFormat(InputStream stream)`
Obtains the MIDI file format of the data in the specified input stream.
`static MidiFileFormat`
MidiSystem.`getMidiFileFormat(URL url)`
Obtains the MIDI file format of the data in the specified URL.

## Uses of MidiFileFormat in javax.sound.midi.spi

Methods in javax.sound.midi.spi that return MidiFileFormat
Modifier and Type
Method
Description
`abstract MidiFileFormat`
MidiFileReader.`getMidiFileFormat(File file)`
Obtains the MIDI file format of the `File` provided.
`abstract MidiFileFormat`
MidiFileReader.`getMidiFileFormat(InputStream stream)`
Obtains the MIDI file format of the input stream provided.
`abstract MidiFileFormat`
MidiFileReader.`getMidiFileFormat(URL url)`
Obtains the MIDI file format of the `URL` provided.